PartitionOfflineException (Apache Geode 1.15.4)

org.apache.geode.cache.persistence

## Class PartitionOfflineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.persistence.PartitionOfflineException

- All Implemented Interfaces:
    Serializable

      public class PartitionOfflineException
      extends GemFireException

  Thrown when a paritioned region is configured for disk persistence, and part of the data is stored on members that are known to be offline. With a partitioned region, the keyspace is segmented into buckets which are assigned to individual members. If all members that are storing data for a particular bucket are offline, any attempt to access or update data in that bucket will throw this exception. If you see this exception, that means that you need to restart the members that host the missing data. If you receive this exception when attempting an operation that modifies the region (such as a put), it is possible that the change was actually persisted to disk before the member went offline.
  Since:
    GemFire 6.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionOfflineException(Set<PersistentID> offlineMembers)`
    `PartitionOfflineException(Set<PersistentID> offlineMembers, String message)`
    `PartitionOfflineException(Set<PersistentID> offlineMembers, String message, Throwable cause)`
    `PartitionOfflineException(Set<PersistentID> offlineMembers, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<PersistentID>` | `getOfflineMembers()` Retrieve the set of disk directories which are known to hold data for the missing buckets, but are not online.

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionOfflineException

          public PartitionOfflineException(Set<PersistentID> offlineMembers)

    - #### PartitionOfflineException

          public PartitionOfflineException(Set<PersistentID> offlineMembers,
                                           String message)

    - #### PartitionOfflineException

          public PartitionOfflineException(Set<PersistentID> offlineMembers,
                                           String message,
                                           Throwable cause)

    - #### PartitionOfflineException

          public PartitionOfflineException(Set<PersistentID> offlineMembers,
                                           Throwable cause)

  - ### Method Detail

    - #### getOfflineMembers

          public Set<PersistentID> getOfflineMembers()

      Retrieve the set of disk directories which are known to hold data for the missing buckets, but are not online.
      Returns:
        the set of disk directories which are known to hold data for the missing buckets, but are not online